# MrzGenericScanningResult class

Inheritance
  - Object
  - Result
  - MrzGenericScanningResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, createToJson: false, explicitToJson: false)

## Constructors

MrzGenericScanningResult(MrzDocumentType documentType, String rawMrz, GenericDocument? document)
MrzGenericScanningResult.canceled()
MrzGenericScanningResult.error(String message)
MrzGenericScanningResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

document ↔ GenericDocument?
  mrz generic document
  read / write
documentType ↔ MrzDocumentType
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
message ↔ String?
  Message with description of returned result, for example, error message
  read / write inherited
operationResult ↔ OperationResult?
  Standart result status
  read / write inherited
rawMrz ↔ String
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited